{$MODE OBJFPC}

{
    Program for make just text DB.
    For GNU/Linux 64 bit version.
    Written on FreePascal.
    Copyright (C) 2010, 2019 Artyomov N Alexander

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
}

uses divtxtdb;

begin

with TPair.Create do begin
St := '  aaa        = bbb        ';
WriteLn(p[true], p[false]);
Free;
end;

with TPairs.Create do begin
LoadFromFile('testpairs.txt');
Appendtd := 'OOO=PPP'#9'BBB=KKK'#9'LLL=JJJ';

try
WriteLn(a[0].Int);
except
WriteLn('>>>>>>>>>>>>>>', a[0].p[true], a[0].p[false]);
end;

try
WriteLn(a[0].FP);
except
WriteLn('>>>>>>>>>>>>>>', a[0].p[true], a[0].p[false]);
end;

SaveToFile('testpairsout.txt');
WriteLn(td);

Delete(1);

SaveToFile('testpairsout2.txt');

end;

with TTabbedFile.Create do begin
LoadFromFile('tt.txt');
SaveToFile('testttout.txt');
end;

end.